> For the complete documentation index, see [llms.txt](https://docs.omics.ai/products/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omics.ai/products/command-line-interface/reference/workbench/workflows-versions-defaults-list.md).

# workflows versions defaults list

## Synopsis

### List Workflow Defaults

```shell
omics workbench workflows versions defaults list
  [--namespace=NAMESPACE]
  [--workflow=WORKFLOW_ID]
  [--version=VERSION_ID]
  [--max-results=NUMBER]
  [--page=NUMBER]
  [--page-size=NUMBER]
  [--sort=SORT_STRING]
```

## Description

List all the workflow defaults for a given workflow version. This command fetches workflow defaults sequentially, printing them to the console.

## Examples

List workflow defaults for a given workflow version:

```shell
omics workbench workflows versions defaults list --workflow my-workflow-id --version v1
```

List workflow defaults with pagination:

```shell
omics workbench workflows versions defaults list --workflow my-workflow-id --version v1 --page 2 --page-size 5
```

## Flags:

### `--namespace`=`STRING`

An optional flag to define the namespace to connect to. By default, the namespace is extracted from the user's credentials.

### `--workflow`=`STRING`

The ID of the workflow for which the defaults will be listed.

### `--version`=`STRING`

The ID of the workflow version for which the defaults will be listed.

### `--max-results`=`NUMBER`

Limit the maximum number of results printed to the console.

### `--page`=`NUMBER`

Used to set the offset page number. This allows for jumping to an arbitrary page of results.

### `--page-size`=`NUMBER`

Used to set the number of results returned per page (default 100).

### `--sort`=`SORT_STRING`

Used to sort the workflow defaults by a set of given properties and directions. The `SORT_STRING` consists of multiple properties to order by, in the form `column(:direction)?(;(column(:direction)?)*`. The direction of the ordering is optional, and if it is omitted, the default ordering is ascending.

Valid Directions: `ASC`, `DESC`

Examples: `workflow_id:ASC;version_id:DESC`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.omics.ai/products/command-line-interface/reference/workbench/workflows-versions-defaults-list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
